// Functions which are only really useful for the unit tests but which show up 
// constantly in the tests themselves

#[cfg(test)]
pub fn get_pool() -> mysql_async::Pool {
    use dotenv::dotenv;
    use mysql_async::Pool;

    dotenv().ok();
    return Pool::new(&std::env::var("DATABASE_URL").unwrap())
}

#[cfg(test)]
pub fn hyper_resp() -> hyper::Response<hyper::Body> {
    use hyper::{Response, Body};

    Response::new(Body::empty())
}


